summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-08-14 04:02:42 -0400
committerMike Frysinger <vapier@gentoo.org>2015-08-14 04:02:47 -0400
commit263a0a204f00358a7049143b8b333bd92f6cffd1 (patch)
tree17d765c2b2b6d4fd48be7fa761e878ba90bb0525 /app-arch/unrar
parentdev-util/mingw64-runtime: cleanup (diff)
downloadgentoo-263a0a204f00358a7049143b8b333bd92f6cffd1.tar.gz
gentoo-263a0a204f00358a7049143b8b333bd92f6cffd1.tar.bz2
gentoo-263a0a204f00358a7049143b8b333bd92f6cffd1.zip
app-arch/unrar: version bump #557524
Diffstat (limited to 'app-arch/unrar')
-rw-r--r--app-arch/unrar/Manifest1
-rw-r--r--app-arch/unrar/unrar-5.3.2.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/app-arch/unrar/Manifest b/app-arch/unrar/Manifest
index 8c849dd36c1..b6401356189 100644
--- a/app-arch/unrar/Manifest
+++ b/app-arch/unrar/Manifest
@@ -4,3 +4,4 @@ DIST unrarsrc-5.2.1.tar.gz 217272 SHA256 a075a8943412abb2ff5600038330a3d5a8f5a39
DIST unrarsrc-5.2.2.tar.gz 217481 SHA256 4c134a739467dd0a18bd8aaa48f32750335c842d8a27e11b955ccc33a73ac834 SHA512 ae1d9c3009b9e632bffff54553c0ccc347e59a77236b0a76d9fe603285e17229ce295e718ca6e7658fb050a3145a03dcb2daa6e704cd459d2b7a6eb1a101daa3 WHIRLPOOL 6e3e98be8df13729b89a0c64e775c148ac560c31bb2ff8d61c7ba3ba75421da698e702336604944787eee5e3edc774ee09df62395610c4af0f6262f5870134be
DIST unrarsrc-5.2.3.tar.gz 217841 SHA256 d249d34541dba39234cdf661ccec80e44334efe50c3ca1d7c51186cd5d26e072 SHA512 94ff765c2aa4ede7d5f2f35c3c35c634b7691559ac9bc978a4f760e22e005422a3a0d36ab09e4c492cea456161cc13dbf256eb2ead23a7976e79bf3cc89903ed WHIRLPOOL dbb7408444078a0ad507fba2d2a483c91a9519193635b25a04c076b92c27c7af9e53481cd89927ca040e03422b5a36e1192f906043706bf9ad2a80f867c27b0f
DIST unrarsrc-5.2.7.tar.gz 218880 SHA256 ef14757e943787b439fedf2c564c1f38d0db315528a928e0de170860717e2fac SHA512 95e06451e2bec46a12e5b9b1423c3ea31ce86859f8086812d9c442aaa69627f72635a6a8c197b30dbc7e99bbf7c7caaa25d703caecbe03c697cc0e5b7644d638 WHIRLPOOL 49f5492a7441192d96616f892012ca2dac8a94063e806ece3c62bf13d29beb9d2d0368a186c0f0bff8814c9e6af542ba6b447a61683295f560f120ff75507379
+DIST unrarsrc-5.3.2.tar.gz 221786 SHA256 2d8712eed32367b1a404633f230f94f545c1f2ce0552f851266b00c261a786ea SHA512 ea3ee5dd3c15a52f577896bca0d5136c9a6e76a5552d6f56be519eb59c2cc137aba0dafe53dfb50c768e8e7f2e1c1c067a3e4d0c67383da3ae1da58ed68fe99b WHIRLPOOL 07454ef4e00ad8982cd4658aa35a120d8318b3bc7979360abdb7973855e1d6e78cd28473cf4127aa7673b26c27c7e379e483017f0f29b49b6c65d08271326d05
diff --git a/app-arch/unrar/unrar-5.3.2.ebuild b/app-arch/unrar/unrar-5.3.2.ebuild
new file mode 100644
index 00000000000..ba3f09cdf49
--- /dev/null
+++ b/app-arch/unrar/unrar-5.3.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils flag-o-matic multilib toolchain-funcs
+
+MY_PN=${PN}src
+
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="http://www.rarlab.com/rar_add.htm"
+SRC_URI="http://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="unRAR"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"
+
+S=${WORKDIR}/unrar
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-5.0.2-build.patch
+ epatch "${FILESDIR}"/${PN}-5.2.2-no-auto-clean.patch #528218
+ local sed_args=( -e "/libunrar/s:.so:$(get_libname ${PV%.*.*}):" )
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ sed_args+=( -e "s:-shared:-dynamiclib -install_name ${EPREFIX}/usr/$(get_libdir)/libunrar$(get_libname ${PV%.*.*}):" )
+ else
+ sed_args+=( -e "s:-shared:& -Wl,-soname -Wl,libunrar$(get_libname ${PV%.*.*}):" )
+ fi
+ sed -i "${sed_args[@]}" makefile
+}
+
+src_configure() {
+ mkdir -p build-{lib,bin}
+ printf 'VPATH = ..\ninclude ../makefile' > build-lib/Makefile || die
+ cp build-{lib,bin}/Makefile || die
+}
+
+src_compile() {
+ unrar_make() {
+ emake CXX="$(tc-getCXX)" CXXFLAGS="${CXXFLAGS}" STRIP=true "$@"
+ }
+
+ unrar_make CXXFLAGS+=" -fPIC" -C build-lib lib
+ ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname)
+ ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname ${PV})
+
+ unrar_make -C build-bin
+}
+
+src_install() {
+ dobin build-bin/unrar
+ dodoc readme.txt
+
+ dolib.so build-lib/libunrar*
+
+ insinto /usr/include/libunrar${PV%.*.*}
+ doins *.hpp
+ dosym libunrar${PV%.*.*} /usr/include/libunrar
+}